/********************************************************/
/*                                                      */
/* Copyright (c) 1993 by Automated Process Control      */
/*                       106 Business Park Drive        */
/*                       Jackson, Ms. 39213             */
/*                       Ph  (601) 956-2800             */
/*                       FAX (601) 956-9777             */
/*                                                      */
/* SPX 16 Bit Interface -- Library Routine              */
/*                                                      */
/*  File    : SPX_RST.C                                 */
/*  Subject : RESETING the SPX 16 Bit Interface         */
/*  Version : 1.00                                      */
/*  Author  : Philip E. Foster                          */
/*  Date    : July 16, 1993                             */
/*                                                      */
/*  Code Compliance : Microsoft C 6.0a with ANSI C      */
/*                    language switch selected and      */
/*                    level 4 warnings                  */
/*                                                      */
/********************************************************/

#include "spx_c16.h"

/********************************************************/
/*                                                      */
/* reset(ifbase, busy_tim)                              */
/*  Parameters : ifbase is a "SPX_TYPE far *" to the    */
/*                      base address of the interface   */
/*                      array.                          */
/*               busy_tim is the "timeout" value used   */
/*                      while waiting for the interface */
/*                      to indicate busy after writing  */
/*                      CONTROL                         */
/*  Returns    : SUCCESS if successful                  */
/*               TIMEOUT_B if a timeout occured while   */
/*                      waiting for the interface to    */
/*                      become busy.                    */
/*                                                      */
/********************************************************/

int reset(SPX_TYPE far *ifbase, unsigned long busy_tim)
{
    ifbase[HOST_RESET] = __HOST_RESET;

    while(!if_statb(ifbase, __BUSY) && --busy_tim)
        ;
    if(!busy_tim)
        return(TIMEOUT_B);
    return(SUCCESS);
}
